openSUSE Security Update : mono-web (openSUSE-SU-2012:0974-1)

medium Nessus Plugin ID 74707

Synopsis

The remote openSUSE host is missing a security update.

Description

Mono was updated to fix :

A cross site scripting attack in the System.Web class 'forbidden extensions' filtering was fixed. (CVE-2012-3382)

Solution

Update the affected mono-web packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=769799

https://lists.opensuse.org/opensuse-updates/2012-08/msg00017.html

Plugin Details

Severity: Medium

ID: 74707

File Name: openSUSE-2012-498.nasl

Version: 1.6

Type: local

Agent: unix

Published: 6/13/2014

Updated: 1/19/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:ibm-data-db2, p-cpe:/a:novell:opensuse:libmono-2_0-1, p-cpe:/a:novell:opensuse:libmono-2_0-1-debuginfo, p-cpe:/a:novell:opensuse:libmono-2_0-devel, p-cpe:/a:novell:opensuse:libmonosgen-2_0-0, p-cpe:/a:novell:opensuse:libmonosgen-2_0-0-debuginfo, p-cpe:/a:novell:opensuse:libmonosgen-2_0-devel, p-cpe:/a:novell:opensuse:mono-complete, p-cpe:/a:novell:opensuse:mono-core, p-cpe:/a:novell:opensuse:mono-core-debuginfo, p-cpe:/a:novell:opensuse:mono-core-debugsource, p-cpe:/a:novell:opensuse:mono-data, p-cpe:/a:novell:opensuse:mono-data-oracle, p-cpe:/a:novell:opensuse:mono-data-postgresql, p-cpe:/a:novell:opensuse:mono-data-sqlite, p-cpe:/a:novell:opensuse:mono-devel, p-cpe:/a:novell:opensuse:mono-devel-debuginfo, p-cpe:/a:novell:opensuse:mono-extras, p-cpe:/a:novell:opensuse:mono-locale-extras, p-cpe:/a:novell:opensuse:mono-mvc, p-cpe:/a:novell:opensuse:mono-nunit, p-cpe:/a:novell:opensuse:mono-wcf, p-cpe:/a:novell:opensuse:mono-web, p-cpe:/a:novell:opensuse:mono-winforms, p-cpe:/a:novell:opensuse:mono-winfxcore, p-cpe:/a:novell:opensuse:monodoc-core, cpe:/o:novell:opensuse:12.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 7/31/2012

Vulnerability Publication Date: 7/12/2012

Reference Information

CVE: CVE-2012-3382